Ubuntu 22.04 LTS:Linux 内核 (Intel IoTG) 漏洞 (USN-6628-1)

high Nessus 插件 ID 190369

简介

远程 Ubuntu 主机缺少一个或多个安全更新。

描述

远程 Ubuntu 22.04 LTS 主机上安装的一个程序包受到 USN-6628-1 公告中提及的多个漏洞影响。

- 在 Linux 内核的高性能内核内 SMB 服务器 ksmbd 中发现一个缺陷。处理 SMB2_SESSION_SETUP 命令时存在特定缺陷。出现该问题的原因在于对对象执行操作时缺少正确的锁定。攻击者可利用此漏洞在内核环境中执行代码。(CVE-2023-32250)

- 在 Linux 内核的高性能内核内 SMB 服务器 ksmbd 中发现一个缺陷。处理 SMB2_LOGOFF 命令时存在特定缺陷。出现此问题的原因是在访问指针之前缺少正确的验证。攻击者可利用此漏洞在系统中造成拒绝服务情况。(CVE-2023-32252)

- 在 Linux 内核的高性能内核内 SMB 服务器 ksmbd 中发现一个缺陷。处理 SMB2_SESSION_SETUP 和 SMB2_LOGOFF 命令时存在特定缺陷。出现该问题的原因在于对对象执行操作时缺少正确的锁定。攻击者可利用此漏洞在内核环境中执行代码。(CVE-2023-32257)

- Linux 内核中的事件通道关闭会导致死锁。如果在执行关闭操作的同时还执行不相关的 Xen 控制台操作以及处理非特权客户机中的 Xen 控制台中断问题,则会发生这种情况。例如,事件通道关闭因另一端的半虚拟化设备被删除而触发。由于此操作将导致控制台消息在另一端频繁发出,因此不能忽略触发死锁的可能性。请注意,32 位 Arm 客户机不受影响,因为 Arm 上的 32 位 Linux 内核不使用触发该问题所需的 queued-RW-locks(在 Arm32 上,等待的写入程序不会阻止更多读取程序获取锁定)。(CVE-2023-34324)

- 在 Linux 内核 6.3.8 及之前的版本中发现问题。在 drivers/net/ethernet/renesas/ravb_main.c 的 ravb_remove 中发现了释放后使用漏洞。(CVE-2023-35827)

- 在 6.5.9 版之前在 Linux 内核中发现了一个问题,具有对 MMIO 寄存器的用户空间访问权限的本地用户可利用此漏洞。#VC 处理程序中的不正确访问检查和 MMIO 访问的 SEV-ES 模拟的指令模拟可能会导致对内核内存的任意写入访问(从而导致特权提升)。此问题依赖于竞争条件触发,通过该竞争条件,用户空间可以在 #VC 处理程序读取指令之前替换该指令。(CVE-2023-46813)

- 在 Linux 内核的网络子组件 net/usb/lan78xx 的 drivers/net/usb/lan78xx.c 的 lan78xx_disconnect 中发现释放后使用缺陷。当 LAN78XX USB 设备分离时,此缺陷允许本地攻击者使系统崩溃。(CVE-2023-6039)

- 系统报告了一个涉及 netfilter 的越界访问漏洞,并已在f1082dd31fe4(netfilter: nf_tables: 拒绝不受支持系列的表)中修复;创建新的 netfilter 表时,由于“nf_tables_newtable”函数中缺少针对无效 nf_tables 系列 (pf) 值的防护措施,攻击者可借此实现越界访问。(CVE-2023-6040)

- 在用于加密算法 scatterwalk 功能的 Linux 内核 API 中发现了空指针取消引用缺陷。当用户使用特定套接字配置构造恶意数据包时,就会出现此问题,这可能允许本地用户崩溃系统或提升其在系统上的权限。(CVE-2023-6176)

- 在 Linux 内核的 fs/smb/client/netmisc.c 的 smbCalcSize 中发现越界读取漏洞。利用此问题,本地攻击者可造成系统崩溃或泄露内核内部信息。
(CVE-2023-6606)

- 在 Linux 内核中,在 nf_tables 的 net/netfilter/nft_dynset.c 中的 nft_dynset_init() 中发现一个空指针取消引用漏洞。具有 CAP_NET_ADMIN 用户权限的本地攻击者可利用此问题触发拒绝服务。(CVE-2023-6622)

- Linux 内核的 netfilter 中存在释放后使用漏洞:可利用 nf_tables 组件实现本地权限升级。函数 nft_pipapo_walk 在 set walk 期间未跳过不活动元素,导致 PIPAPO(堆数据包策略)元素双重停用,进而导致释放后使用漏洞。我们建议升级过去的提交 317eb9685095678f2c9f5a8189de698c5354316a。(CVE-2023-6817)

- 可以利用 Linux 内核的性能事件系统组件中的堆越界写入漏洞实现本地特权提升。perf_event 的 read_size 可能溢出,导致 perf_read_group() 发生堆越界递增或写入。我们建议升级过去的提交 382c27f4ed28f803b1f1473ac2d8db0afc795a1b。(CVE-2023-6931)

- Linux 内核的 ipv4: igmp 组件中存在释放后使用漏洞,攻击者可利用此漏洞提升本地特权。攻击者可利用争用条件导致定时器在由其他线程释放的 RCU 读取锁定对象上被错误注册。我们建议升级过去的提交 e2b706c691905fe78468c361aaabc719d0a496f1。(CVE-2023-6932)

- 在 Linux 内核的 netfilter 子系统中发现释放后使用漏洞。如果在删除 pipapo 集时对 catchall 元素进行了垃圾回收,则该元素可能会停用两次。这可能会造成 NFT_CHAIN 对象或 NFT_OBJECT 对象发生释放后使用问题,从而允许具有 CAP_NET_ADMIN 能力的本地非特权用户升级其在系统上的权限。(CVE-2024-0193)

- 在 Linux 内核的 TIPC 子系统中,在 net/tipc/crypto.c 的 tipc_crypto_key_revoke 中发现一个拒绝服务漏洞。此缺陷允许具有本地用户权限的客户机触发死锁,并可能导致系统崩溃。(CVE-2024-0641)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

更新受影响的 kernel 程序包。

另见

https://ubuntu.com/security/notices/USN-6628-1

插件详情

严重性: High

ID: 190369

文件名: ubuntu_USN-6628-1.nasl

版本: 1.0

类型: local

代理: unix

发布时间: 2024/2/9

最近更新时间: 2024/2/9

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

风险信息

VPR

风险因素: High

分数: 7.4

CVSS v2

风险因素: High

基本分数: 7.6

时间分数: 6

矢量: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

CVSS 分数来源: CVE-2023-32257

CVSS v3

风险因素: High

基本分数: 8.1

时间分数: 7.3

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: cpe:/o:canonical:ubuntu_linux:22.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:linux-image-5.15.0-1047-intel-iotg

必需的 KB 项: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

可利用: true

易利用性: Exploits are available

补丁发布日期: 2024/2/9

漏洞发布日期: 2023/6/18

参考资料信息

CVE: CVE-2023-32250, CVE-2023-32252, CVE-2023-32257, CVE-2023-34324, CVE-2023-35827, CVE-2023-46813, CVE-2023-6039, CVE-2023-6040, CVE-2023-6176, CVE-2023-6606, CVE-2023-6622, CVE-2023-6817, CVE-2023-6931, CVE-2023-6932, CVE-2024-0193, CVE-2024-0641

USN: 6628-1